Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
eZURLTranslator Class Reference

## Public Member Functions
| __construct ( $id=-1)
| store ()
| get ( $id=-1)
| getbydest ( $dest='')
& | getAll ()
| delete ()
| id ()
| source ()
| dest ()
| setSource ( $value)
| setDest ( $value)

## Static Public Member Functions
static | translate ( $url)

## Public Attributes
| $ID
| $Source
| $Dest

## Detailed Description

! eZURLTranslator The eZURLTranslator class provides URL translation functions.

Definition at line 37 of file ezurltranslator.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZURLTranslator::__construct | ( |  | $id = `-1` | ) |

Definition at line 42 of file ezurltranslator.php.

References $id, and $ID.

## Member Function Documentation

## ◆ delete()

eZURLTranslator::delete | ( |  | ) |

Deletes a URL translation from the database.

Definition at line 186 of file ezurltranslator.php.

References $db, $res, and eZDB\globalDatabase().

## ◆ dest()

eZURLTranslator::dest | ( |  | ) |

Returns the destination of the url translation.

Definition at line 219 of file ezurltranslator.php.

References $Dest.

## ◆ get()

eZURLTranslator::get | ( |  | $id = `-1` | ) |

Fetches the URL translation from the database.

Definition at line 123 of file ezurltranslator.php.

References $db, $id, $url_array, and eZDB\globalDatabase().

## ◆ getAll()

& eZURLTranslator::getAll | ( |  | ) |

Retrieves all the URL translations from the database.

Definition at line 166 of file ezurltranslator.php.

References $db, $i, $url_array, and eZDB\globalDatabase().

## ◆ getbydest()

eZURLTranslator::getbydest | ( |  | $dest = `''` | ) |

Fetches the URL translation from the database using destination as a parameter.

Definition at line 149 of file ezurltranslator.php.

References $db, $url_array, and eZDB\globalDatabase().

## ◆ id()

eZURLTranslator::id | ( |  | ) |

Returns the object ID to the option. This is the unique ID stored in the database.

Definition at line 203 of file ezurltranslator.php.

References $ID.

## ◆ setDest()

eZURLTranslator::setDest | ( |  | $value | ) |

Sets the destination of the URL translation.

Definition at line 236 of file ezurltranslator.php.

## ◆ setSource()

eZURLTranslator::setSource | ( |  | $value | ) |

Sets the source of the URL translation.

Definition at line 228 of file ezurltranslator.php.

## ◆ source()

eZURLTranslator::source | ( |  | ) |

Returns the source of the url translation.

Definition at line 211 of file ezurltranslator.php.

References $Source.

## ◆ store()

eZURLTranslator::store | ( |  | ) |

Stores/updates the URL translation.

Definition at line 79 of file ezurltranslator.php.

References $db, $res, and eZDB\globalDatabase().

## ◆ translate()

static eZURLTranslator::translate | ( |  | $url | ) |
| static

Definition at line 54 of file ezurltranslator.php.

References $db, $ret, $url, $url_array, and eZDB\globalDatabase().

Referenced by ezpbKernelWeb\run().

## Member Data Documentation

## ◆ $Dest

eZURLTranslator::$Dest

Definition at line 243 of file ezurltranslator.php.

Referenced by dest().

## ◆ $ID

eZURLTranslator::$ID

Definition at line 241 of file ezurltranslator.php.

Referenced by __construct(), and id().

## ◆ $Source

eZURLTranslator::$Source

Definition at line 242 of file ezurltranslator.php.

Referenced by source().

The documentation for this class was generated from the following file:

- ezurltranslator.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.